Subscriptions - List Locations
Gets all available geo-locations.
This operation provides all the locations that are available for resource providers; however, each resource provider may support a subset of this list.
GET https://management.azure.com/subscriptions/{subscriptionId}/locations?api-version=2020-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
|
The ID of the target subscription. |
|
api-version
|
query | True |
|
The API version to use for the operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK - Returns an array of locations. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get locations with a subscription id
Sample Request
GET https://management.azure.com/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05/locations?api-version=2020-01-01
Sample Response
[
{
"id": "/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05/locations/centralus",
"name": "centralus",
"displayName": "Central US",
"regionalDisplayName": "(US) Central US",
"metadata": {
"regionType": "Physical",
"regionCategory": "Recommended",
"geographyGroup": "US",
"longitude": "-93.6208",
"latitude": "41.5908",
"physicalLocation": "Iowa",
"pairedRegion": [
{
"name": "eastus2",
"id": "/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05/locations/eastus2"
}
]
}
},
{
"id": "/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05/locations/eastasia",
"name": "eastasia",
"displayName": "East Asia",
"regionalDisplayName": "(Asia Pacific) East Asia",
"metadata": {
"regionType": "Physical",
"regionCategory": "Recommended",
"geographyGroup": "Asia Pacific",
"longitude": "114.188",
"latitude": "22.267",
"physicalLocation": "Hong Kong",
"pairedRegion": [
{
"name": "southeastasia",
"id": "/subscriptions/291bba3f-e0a5-47bc-a099-3bdcb2a50a05/locations/southeastasia"
}
]
}
}
]
Definitions
| Location |
Location information. |
|
Location |
Location list operation response. |
|
Location |
Location metadata information |
|
Paired |
Information regarding paired region. |
|
Region |
The category of the region. |
|
Region |
The type of the region. |
Location
Location information.
| Name | Type | Description |
|---|---|---|
| displayName |
|
The display name of the location. |
| id |
|
The fully qualified ID of the location. For example, /subscriptions/00000000-0000-0000-0000-000000000000/locations/westus. |
| metadata |
Metadata of the location, such as lat/long, paired region, and others. |
|
| name |
|
The location name. |
| regionalDisplayName |
|
The display name of the location and its region. |
| subscriptionId |
|
The subscription ID. |
LocationListResult
Location list operation response.
| Name | Type | Description |
|---|---|---|
| value |
|
An array of locations. |
LocationMetadata
Location metadata information
| Name | Type | Description |
|---|---|---|
| geographyGroup |
|
The geography group of the location. |
| latitude |
|
The latitude of the location. |
| longitude |
|
The longitude of the location. |
| pairedRegion |
The regions paired to this region. |
|
| physicalLocation |
|
The physical location of the Azure location. |
| regionCategory |
The category of the region. |
|
| regionType |
The type of the region. |
PairedRegion
Information regarding paired region.
| Name | Type | Description |
|---|---|---|
| id |
|
The fully qualified ID of the location. For example, /subscriptions/00000000-0000-0000-0000-000000000000/locations/westus. |
| name |
|
The name of the paired region. |
| subscriptionId |
|
The subscription ID. |
RegionCategory
The category of the region.
| Name | Type | Description |
|---|---|---|
| Other |
|
|
| Recommended |
|
RegionType
The type of the region.
| Name | Type | Description |
|---|---|---|
| Logical |
|
|
| Physical |
|